Global $fileopen
Global $fileread
Global $bigfile
Global $secondsplit
Global $splitfileopen
Global $smallfile

MsgBox (0, "TXML M+S merge v0.1", "Splits a merged TXML file into its original files again.  If the original files still exist, the script will fail, so save the top-level folder of the original files under a different name somewhere.", 0)

$bigfilename = FileOpenDialog ("Which file contains the merged files?", @ScriptDir, "TXML (*.txml)|All (*.*)|Text files (*.txt)")

$fileopen = FileOpen ($bigfilename, 128)
$fileread = FileRead ($fileopen)

$fileread = StringTrimRight ($fileread, 7) ; to remove final </txml> tag

If StringInStr ($fileread, "KBANGDASHDASH") Then
$fileread = StringReplace ($fileread, "<!-- KBANGDASHDASH ", "KBANGDASHDASHOPEN")
$fileread = StringReplace ($fileread, " KBANGDASHDASH -->", "KBANGDASHDASHCLOSE")
EndIf

; $firstsplit = StringSplit ($fileread, @CRLF & @CRLF & "<!-- [[IFAYILE:", 1)
$firstsplit = StringSplit ($fileread, "<!-- [[IFAYILE:", 1)

For $i = 2 to $firstsplit[0]

; $secondsplit = StringSplit ($firstsplit[$i], ":IFAYILE]] -->" & @CRLF & @CRLF, 1)
$secondsplit = StringSplit ($firstsplit[$i], ":IFAYILE]] -->", 1)

If FileExists ($secondsplit[1]) Then
MsgBox (0, "", "File already exists... exiting...", 0)
Exit
Else


$dirsplit = StringSplit ($secondsplit[1], "\", 1)
$filename = $dirsplit[$dirsplit[0]]
$getdir = StringSplit ($secondsplit[1], $filename, 1)
$diris = $getdir[1]


DirCreate($diris)
FileChangeDir ($diris)

; $secondsplit[2] is the file itself

$smallfile = $secondsplit[2]


$smallfile = StringReplace ($smallfile, "<!-- ", "")
$smallfile = StringReplace ($smallfile, " -->", "")

; because we don't know if it's CRLF or LF at the top of the file:
$smallfile = StringReplace ($smallfile, @CRLF & @CRLF & @CRLF & @CRLF & "<?xml", "<?xml")
$smallfile = StringReplace ($smallfile, @LF & @LF & @LF & @LF & "<?xml", "<?xml")
$smallfile = StringReplace ($smallfile, @CRLF & @CRLF & @CRLF & "<?xml", "<?xml")
$smallfile = StringReplace ($smallfile, @LF & @LF & @LF & "<?xml", "<?xml")
$smallfile = StringReplace ($smallfile, @CRLF & @CRLF & "<?xml", "<?xml")
$smallfile = StringReplace ($smallfile, @LF & @LF & "<?xml", "<?xml")
$smallfile = StringReplace ($smallfile, @CRLF & "<?xml", "<?xml")
$smallfile = StringReplace ($smallfile, @LF & "<?xml", "<?xml")

$smallfile = StringReplace ($smallfile, "KBANGDASHDASHOPEN", "<!--")
$smallfile = StringReplace ($smallfile, "KBANGDASHDASHCLOSE", "-->")

$thisfile = FileOpen ($filename, 129)
FileWrite ($thisfile, $smallfile)
FileClose ($thisfile)
EndIf

Next
